
Testing - Feature # 86

Status: Closed Priority: Must have
Author: Malte Jansen Category:
Created: 2007-12-29 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Constant 'TYPO3_PATH_PACKAGES' consists of mixed slashes on windows
Description

The Constant is still working, but it looks is very strange:

'D:\\workspace-typo3\\htdocs\\t3_v50/Packages/'

So, there properbly something wrong with the definition:
T3_Framework.php

define('TYPO3_PATH_PRIVATEFILECACHE', TYPO3_PATH_ROOT . 'FileCache/Private/');
define('TYPO3_PATH_PACKAGES', TYPO3_PATH_ROOT . 'Packages/');
define('TYPO3_PATH_FRAMEWORK', TYPO3_PATH_PACKAGES . 'Framework/Classes/' );

Solution:

Use the Constant: 'DIRECTORY_SEPARATOR' instead of '/';

History
#1 - 2007-12-30 19:26 - Malte Jansen

Due to Ticket #5 the Testing package must be cleanup not using the DIRECTORY_SEPARATOR.

#2 - 2008-01-08 12:59 - Karsten Dambekalns
- Status changed from New to Closed
- Sprint set to fixed

(In r409) Changed the way the TYPO3_PATH_ROOT is set. This (hopefully) closes #86, please check if you are on a Windows machine.

#3 - 2008-01-08 17:37 - Malte Jansen

Yes, I'm testing on a windows-machine.

Your change solves this problem ;)

#4 - 2008-07-01 17:24 - Robert Lemke
- Target version deleted (1)
